summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore9
-rw-r--r--Makefile4
-rw-r--r--composer.json42
-rwxr-xr-xmakesrc.sh35
-rw-r--r--php-sebastian-git-state1.spec112
5 files changed, 202 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..01f0400
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,9 @@
+clog
+package-*.xml
+*.tgz
+*.tar.bz2
+*.tar.gz
+*.tar.xz
+*.tar.xz.asc
+*.src.rpm
+*/*rpm
diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..13af741
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,4 @@
+SRCDIR := $(shell pwd)
+NAME := $(shell basename $(SRCDIR))
+include ../../../common/Makefile
+
diff --git a/composer.json b/composer.json
new file mode 100644
index 0000000..6057248
--- /dev/null
+++ b/composer.json
@@ -0,0 +1,42 @@
+{
+ "name": "sebastian/git-state",
+ "description": "Library for describing the state of a Git checkout",
+ "type": "library",
+ "homepage": "https://github.com/sebastianbergmann/git-state",
+ "license": "BSD-3-Clause",
+ "authors": [
+ {
+ "name": "Sebastian Bergmann",
+ "email": "sebastian@phpunit.de",
+ "role": "lead"
+ }
+ ],
+ "support": {
+ "issues": "https://github.com/sebastianbergmann/git-state/issues",
+ "security": "https://github.com/sebastianbergmann/git-state/security/policy"
+ },
+ "prefer-stable": true,
+ "require": {
+ "php": ">=8.4"
+ },
+ "require-dev": {
+ "phpunit/phpunit": "^13.0"
+ },
+ "config": {
+ "platform": {
+ "php": "8.4.1"
+ },
+ "optimize-autoloader": true,
+ "sort-packages": true
+ },
+ "autoload": {
+ "classmap": [
+ "src/"
+ ]
+ },
+ "extra": {
+ "branch-alias": {
+ "dev-main": "1.0-dev"
+ }
+ }
+}
diff --git a/makesrc.sh b/makesrc.sh
new file mode 100755
index 0000000..ac0c720
--- /dev/null
+++ b/makesrc.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+NAME=$(basename $PWD)
+DATE=$(sed -n '/^%global gh_date/{s/.* //;p}' $NAME.spec)
+OWNER=$(sed -n '/^%global gh_owner/{s/.* //;p}' $NAME.spec)
+PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
+VERSION=$(sed -n '/^Version:/{s/.* //;p}' $NAME.spec)
+COMMIT=$(sed -n '/^%global gh_commit/{s/.* //;p}' $NAME.spec)
+SHORT=${COMMIT:0:7}
+
+DATE=$(date -d "$DATE -4 days" +%Y-%m-%d)
+
+if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
+ echo "$NAME-$VERSION-$SHORT.tgz already there"
+else
+ echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION, Date=$DATE\n"
+
+ echo "Cloning..."
+ rm -rf $PROJECT-$COMMIT
+ git clone --shallow-since=$DATE https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT || exit 1
+
+ echo "Getting commit..."
+ pushd $PROJECT-$COMMIT
+ git checkout $COMMIT || exit 1
+ cp composer.json ../composer.json
+ popd
+
+ echo "Archiving..."
+ tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs --exclude tools $PROJECT-$COMMIT
+
+ echo "Cleaning..."
+ rm -rf $PROJECT-$COMMIT
+
+ echo "Done."
+fi
diff --git a/php-sebastian-git-state1.spec b/php-sebastian-git-state1.spec
new file mode 100644
index 0000000..b1e1ede
--- /dev/null
+++ b/php-sebastian-git-state1.spec
@@ -0,0 +1,112 @@
+# remirepo/fedora spec file for php-sebastian-git-state1
+#
+# SPDX-FileCopyrightText: Copyright 2026 Remi Collet
+# SPDX-License-Identifier: CECILL-2.1
+# http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
+#
+# Please, preserve the changelog entries
+#
+
+%bcond_without tests
+
+# Sources
+%global gh_commit 792a952e0eba55b6960a48aeceb9f371aad1f76b
+%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
+%global gh_owner sebastianbergmann
+%global gh_project git-state
+%global gh_date 2026-03-21
+# Packagist
+%global pk_vendor sebastian
+%global pk_project %{gh_project}
+# Namespace
+%global major 1
+%global php_home %{_datadir}/php
+%global ns_vendor SebastianBergmann
+%global ns_project GitState
+
+Name: php-%{pk_vendor}-%{pk_project}%{major}
+Version: 1.0.0
+Release: 1%{?dist}
+Summary: Describing the state of a Git checkout, version %{major}
+
+License: BSD-3-Clause
+URL: https://github.com/%{gh_owner}/%{gh_project}
+# run makesrc.sh to create a git snapshot with test suite
+Source0: %{name}-%{version}-%{gh_short}.tgz
+Source1: makesrc.sh
+
+
+BuildArch: noarch
+BuildRequires: php(language) >= 8.4.1
+BuildRequires: php-posix
+# Autoloader
+BuildRequires: php-fedora-autoloader-devel
+%if %{with tests}
+# from composer.json, "require-dev": {
+# "phpunit/phpunit": "^13.0"
+BuildRequires: phpunit13
+%endif
+
+# from composer.json, "require": {
+# "php": ">=8.4.1"
+Requires: php(language) >= 8.4.1
+# From phpcompatinfo report for 1.0.0
+# Only core, pcre, standard
+# Autoloader
+Requires: php-composer(fedora/autoloader)
+
+Provides: php-composer(%{pk_vendor}/%{pk_project}) = %{version}
+
+
+%description
+Library for describing the state of a Git checkout.
+
+This package provides version %{major} of %{pk_vendor}/%{pk_project} library.
+
+Autoloader: %{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php
+
+
+%prep
+%setup -q -n %{gh_project}-%{gh_commit}
+
+
+%build
+# Generate the Autoloader
+%{_bindir}/phpab \
+ --template fedora \
+ --output src/autoload.php \
+ src
+
+
+%install
+mkdir -p %{buildroot}%{php_home}/%{ns_vendor}
+cp -pr src %{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}%{major}
+
+
+%if %{with tests}
+%check
+mkdir vendor
+ln -s %{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php vendor/autoload.php
+
+: Run tests
+ret=0
+for cmd in php php84 php85; do
+ if which $cmd; then
+ $cmd -d auto_prepend_file=%{buildroot}%{php_home}/%{ns_vendor}/%{ns_project}%{major}/autoload.php \
+ %{_bindir}/phpunit13 || ret=1
+ fi
+done
+exit $ret
+%endif
+
+
+%files
+%license LICENSE
+%doc README.md composer.json
+%dir %{php_home}/%{ns_vendor}
+ %{php_home}/%{ns_vendor}/%{ns_project}%{major}
+
+
+%changelog
+* Fri Apr 3 2026 Remi Collet <remi@remirepo.net> - 1.0.0-1
+- initial package